<div [hidden]="!showSpinner">
    <app-spinner></app-spinner>
</div>
<div id="site-list-component">
    <table class="table table-hover table-striped table-bordered table-sm">
        <thead>
        <tr>
            <!-- <th style="text-align:center">Status</th> -->
            <th *ngIf="!isAdmin">Account Name</th>
            <th>Name</th>
            <th>Username</th>
            <th>Last Login</th>
            <th style="text-align:center;width:10%">Action</th>
        </tr>
        </thead>
        <tbody>
            <tr [hidden]="totalItems > 0">
                <td colspan="9" style="text-align: center;">
                    No Records to show
                </td>
            </tr>
            <tr *ngFor="let item of packageData | async  | paginate: { itemsPerPage: itemPerPage, currentPage: currentPage, totalItems: totalItems }"  
                style="cursor:pointer">
                <!-- <td class="status-col" style="text-align:center">
                        <i [hidden]="item.IsActive == 0" style="color:green" class="fa fa-check-circle"></i>
                        <i [hidden]="item.IsActive == 1" style="color:red" class="fa fa-exclamation-circle"></i>
                    </td> -->
                <td *ngIf="!isAdmin" (click)="editAccountUser(item.Account.Id)">{{ item.Account.Name }}</td>
                <td (click)="editAccountUser(item.Account.Id)">{{ item.FirstName }} {{ item.LastName }}</td>
                <td (click)="editAccountUser(item.Account.Id)">{{ item.UserName }} </td>
                <td (click)="editAccountUser(item.Account.Id)">2018-01-01 14:02:06</td>
                <td style="text-align:center;width:10%">
                    <button *ngIf="isSuperAdmin" type="button" (click)="confirmLoginAsUser(content, item.Id)" placement="left" 
                    ngbPopover="Log as {{ item.UserName }}" triggers="mouseenter:mouseleave" popoverTitle="Information"
                    class="btn btn-sm btn-default" ><i class="fa fa-lock"></i></button>
                    <a *ngIf="isAdmin" (click)="editUser(item.Id)"><i style="color:#ffc107" class="fa fa-pencil"></i> &nbsp;</a>
                    <a *ngIf="isAdmin" (click)="editUserRoleModules(item.Id)"><i style="color:#343a40" class="fa fa-gear"></i> &nbsp;</a>
                </td>
            </tr>
        </tbody>
    </table>
    <br />
    <div class="pull-right">
        <pagination-controls (pageChange)="loadData($event)"></pagination-controls> 
    </div>
</div>

<ng-template #content let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h4 class="modal-title" style="font-size:16px;">Confirmation</h4>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <p>Are you sure you want to login as this user?</p>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-sm btn-primary" (click)="loginAsAdminUser();c('Close click')">Yes</button>
        <button type="button" class="btn btn-sm btn-default" (click)="c('Close click')">No</button>
    </div>
</ng-template>
